/* ------------------------------------------------------------
// Copyright 2000 ST Microelectronics
// ------------------------------------------------------------
// This software is the property of ST Microelectronics which
// specifically grants the user the right to modify, use and
// distribute this software provided this notice is not removed
// or altered. All other rights are reserved by ST.
// ------------------------------------------------------------
// ST MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, WITH
// REGARD TO THIS SOFTWARE. IN NO EVENT SHALL ST BE LIABLE FOR
// INCIDENTAL OR CONSEQUENTIAL DAMAGES IN CONNECTION WITH OR
// ARISING FROM THE FURNISHING, PERFORMANCE, OR USE OF THIS
// SOFTWARE.
// ------------------------------------------------------------
// So that all may benefit from your experience, please report
// any problems or suggestions about this software back to ST.
// Please include your name, company, telephone number, email,
// ST product requiring support and question or problem
// encountered.
// ------------------------------------------------------------
// ST Microelectronics
// Technoparc du pays de gex
// 165 rue Edouard Branly bp112
// 06637 St Genis Pouilly cedex
// France
// ------------------------------------------------------------
// To contact us : http://www.st.com/stpc
// ------------------------------------------------------------*/

/* ------------------------------------------------------------
// Copyright (C) 2000 STMicroelectronics
// ------------------------------------------------------------
// NVG/SICL/System Solution
// ------------------------------------------------------------
// FILE NAME	: crtctxt.c
// LIBRARY		: STPC Graphics Development Kit
// MODULE		: libhard\crtc
// PORTABILITY	: ANSI C
// ------------------------------------------------------------
// REVISION		: Rev 1.00
// DATE:		: March, 20th 2000
// AUTHOR:		: Thierry Vuillaume
// ------------------------------------------------------------
// DESCRIPTION	: Settings tables for text mode
// ------------------------------------------------------------
// VARIABLES	: HWCRTC_pucTextModeCRTCTable
//				  HWCRTC_pucTextModeAttributTable
//				  HWCRTC_pucTextModeDefaultPalette
// ------------------------------------------------------------
// MACROS		: -
// ------------------------------------------------------------
// FUNCTIONS	: -
// ------------------------------------------------------------*/

/* ------------------------------------------------------------
// REVISION		: Rev 1.00
// DATE			: March, 20th 2000
// AUTHOR		: Thierry Vuillaume
// ------------------------------------------------------------
// MODIFICATIONS: Initial source code	
// ------------------------------------------------------------*/

/* ------------------------------------------------------------
// VARIABLE		: HWCRTC_pucTextModeCRTCTable 
// ------------------------------------------------------------
// DESCRIPTION	: CRTC settings for the graphic mode
// ------------------------------------------------------------*/
unsigned char HWCRTC_pucTextModeCRTCTable[]={
	/*Index, data*/
	0x00, 0x5F,
	0x01, 0x4F,
	0x02, 0x50,
	0x03, 0x82,
	0x04, 0x55,
	0x05, 0x81,
	0x06, 0xBF,
	0x07, 0x1F,
	0x08, 0x00,
	0x09, 0x4F,
	0x0A, 0x0E,
	0x0B, 0x0F,
	0x0C, 0x00,
	0x0D, 0x00,
	0x0E, 0x00,
	0x0F, 0x00,
	0x10, 0x9C,
	0x11, 0x0E,
	0x12, 0x8F,
	0x13, 0x28,
	0x14, 0x1F,
	0x15, 0x96,
	0x16, 0xB9,
	0x17, 0xA3,
	0x18, 0xFF,
	0x19, 0x00,
	0x1A, 0x3E,
	0x1B, 0x31,
	0x1C, 0x00,
	0x1D, 0x00,
	0x1E, 0x00,
	0x1F, 0x80,
	0x20, 0x00,
	0x21, 0xFF,
	0x25, 0x00,
	0x27, 0x40,
	0x28, 0x10,
	0x29, 0x00,
	0x2A, 0x00,
	0x2B, 0x00,
	0x2C, 0x00,
	0x2D, 0x00,
	0x2E, 0x00,
	0x2F, 0x00,
	0x30, 0x00,
	0x31, 0x00,
	0x32, 0x00,
	0x33, 0xFF,
	0x34, 0x00,
	0x35, 0x00,
	0x36, 0x00,
	0x37, 0x00,
	0x38, 0x00,
	0x39, 0xFF,
	0x3C, 0x60,
	0x3D, 0x00,
	0x3E, 0x00,
	0x3F, 0xFF,
	0x40, 0x80,
	0x41, 0x00,
	0x42, 0x00,
	0x43, 0x00,
	0x44, 0x00,
	0x50, 0xff};/*end of table*/ 

/* ------------------------------------------------------------
// VARIABLE		: HWCRTC_pucTextModeAttributTable 
// ------------------------------------------------------------
// DESCRIPTION	: Attribut controller settings for the graphic mode
// ------------------------------------------------------------*/
unsigned char HWCRTC_pucTextModeAttributTable[]={
	0x00,
	0x01,
	0x02,
	0x03,
	0x04,
	0x05,
	0x14,
	0x07,
	0x38,
	0x39,
	0x3A,
	0x3B,
	0x3C,
	0x3D,
	0x3E,
	0x3F,
	0x0C,
	0x00,
	0x0F,
	0x08,
	0x00,
0};

/* ------------------------------------------------------------
// VARIABLE		: HWCRTC_pucTextModeDefaultPalette 
// ------------------------------------------------------------
// DESCRIPTION	: Attribut controller settings for the graphic mode
// ------------------------------------------------------------*/
unsigned char HWCRTC_pucTextModeDefaultPalette[]={
 /*  R,  G,   B*/
0x00, 0x00, 0x00,
0x00, 0x00, 0x2A,
0x00, 0x2A, 0x00,
0x00, 0x2A, 0x2A,
0x2A, 0x00, 0x00,
0x2A, 0x00, 0x2A,
0x2A, 0x2A, 0x00,
0x2A, 0x2A, 0x2A,
0x00, 0x00, 0x15,
0x00, 0x00, 0x3F,
0x00, 0x2A, 0x15,
0x00, 0x2A, 0x3F,
0x2A, 0x00, 0x15,
0x2A, 0x00, 0x3F,
0x2A, 0x2A, 0x15,
0x2A, 0x2A, 0x3F,
0x00, 0x15, 0x00,
0x00, 0x15, 0x2A,
0x00, 0x3F, 0x00,
0x00, 0x3F, 0x2A,
0x2A, 0x15, 0x00,
0x2A, 0x15, 0x2A,
0x2A, 0x3F, 0x00,
0x2A, 0x3F, 0x2A,
0x00, 0x15, 0x15,
0x00, 0x15, 0x3F,
0x00, 0x3F, 0x15,
0x00, 0x3F, 0x3F,
0x2A, 0x15, 0x15,
0x2A, 0x15, 0x3F,
0x2A, 0x3F, 0x15,
0x2A, 0x3F, 0x3F,
0x15, 0x00, 0x00,
0x15, 0x00, 0x2A,
0x15, 0x2A, 0x00,
0x15, 0x2A, 0x2A,
0x3F, 0x00, 0x00,
0x3F, 0x00, 0x2A,
0x3F, 0x2A, 0x00,
0x3F, 0x2A, 0x2A,
0x15, 0x00, 0x15,
0x15, 0x00, 0x3F,
0x15, 0x2A, 0x15,
0x15, 0x2A, 0x3F,
0x3F, 0x00, 0x15,
0x3F, 0x00, 0x3F,
0x3F, 0x2A, 0x15,
0x3F, 0x2A, 0x3F,
0x15, 0x15, 0x00,
0x15, 0x15, 0x2A,
0x15, 0x3F, 0x00,
0x15, 0x3F, 0x2A,
0x3F, 0x15, 0x00,
0x3F, 0x15, 0x2A,
0x3F, 0x3F, 0x00,
0x3F, 0x3F, 0x2A,
0x15, 0x15, 0x15,
0x15, 0x15, 0x3F,
0x15, 0x3F, 0x15,
0x15, 0x3F, 0x3F,
0x3F, 0x15, 0x15,
0x3F, 0x15, 0x3F,
0x3F, 0x3F, 0x15,
0x3F, 0x3F, 0x3F,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0x00, 0x00, 0x00,
0 };

