/* ------------------------------------------------------------
// Copyright 2000 ST Microelectronics
// ------------------------------------------------------------
// This software is the property of ST Microelectronics which
// specifically grants the user the right to modify, use and
// distribute this software provided this notice is not removed
// or altered. All other rights are reserved by ST.
// ------------------------------------------------------------
// ST MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, WITH
// REGARD TO THIS SOFTWARE. IN NO EVENT SHALL ST BE LIABLE FOR
// INCIDENTAL OR CONSEQUENTIAL DAMAGES IN CONNECTION WITH OR
// ARISING FROM THE FURNISHING, PERFORMANCE, OR USE OF THIS
// SOFTWARE.
// ------------------------------------------------------------
// So that all may benefit from your experience, please report
// any problems or suggestions about this software back to ST.
// Please include your name, company, telephone number, email,
// ST product requiring support and question or problem
// encountered.
// ------------------------------------------------------------
// ST Microelectronics
// Technoparc du pays de gex
// 165 rue Edouard Branly bp112
// 06637 St Genis Pouilly cedex
// France
// ------------------------------------------------------------
// To contact us : http://www.st.com/stpc
// ------------------------------------------------------------*/

/* ------------------------------------------------------------
// Copyright (C) 2000 STMicroelectronics
// ------------------------------------------------------------
// NVG/SICL/System Solution
// ------------------------------------------------------------
// FILE NAME	: perf.c
// LIBRARY		: STPC Graphics Development Kit
// MODULE		: libdbg\perf
// PORTABILITY	: ANSI C
// ------------------------------------------------------------
// REVISION		: Rev 1.00
// DATE:		: March, 1st 2000
// AUTHOR:		: Thierry Vuillaume
// ------------------------------------------------------------
// DESCRIPTION	: Functions to compute performances tests
// ------------------------------------------------------------
// VARIABLES	: DBGPERF_ulStartTime
//				  DBGPERF_ulTotalTime
// ------------------------------------------------------------
// MACROS		: DBGPERF_STARTCOUNTER
//				  DBGPERF_STOPCOUNTER
// ------------------------------------------------------------
// FUNCTIONS	: DBGPERF_DisplayTime
// ------------------------------------------------------------*/

/* ------------------------------------------------------------
// REVISION		: Rev 1.00
// DATE			: March, 1st 2000
// AUTHOR		: Thierry Vuillaume
// ------------------------------------------------------------
// MODIFICATIONS: Initial source code	
// ------------------------------------------------------------*/

#include "perf.h"
#include "trace.h"
#include "osal.h"

/* ------------------------------------------------------------
// VARIABLE		: DBGPERF_ulStartTime
// ------------------------------------------------------------
// DESCRIPTION	: Time in ms at counter startup
// ------------------------------------------------------------*/
unsigned long DBGPERF_ulStartTime;

/* ------------------------------------------------------------
// VARIABLE		: DBGPERF_ulTotalTime
// ------------------------------------------------------------
// DESCRIPTION	: Total time during which the counter have been activated
// ------------------------------------------------------------*/
unsigned long DBGPERF_ulTotalTime = 0;

/* ------------------------------------------------------------
// FUNCTION		: DBGPERF_DisplayTime
// ------------------------------------------------------------
// DESCRIPTION	: Display the times during which the performances
//				  counter have been activated
// ------------------------------------------------------------
// IN PARAMETERS
// ------------------------------------------------------------
// ------------------------------------------------------------
// OUT PARAMETERS 
// ------------------------------------------------------------
// ------------------------------------------------------------
// RETURN		: -
// ------------------------------------------------------------
// MODIFIED		: -
// ------------------------------------------------------------*/
void DBGPERF_DisplayTime(void)
{
	OSAL_DisplayString("Performances counter : ");
	OSAL_DisplayDecimal(DBGPERF_ulTotalTime);
	OSAL_DisplayString(" ms");
	OSAL_DisplayCR();
}
