/* ------------------------------------------------------------
// Copyright 2000 ST Microelectronics
// ------------------------------------------------------------
// This software is the property of ST Microelectronics which
// specifically grants the user the right to modify, use and
// distribute this software provided this notice is not removed
// or altered. All other rights are reserved by ST.
// ------------------------------------------------------------
// ST MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, WITH
// REGARD TO THIS SOFTWARE. IN NO EVENT SHALL ST BE LIABLE FOR
// INCIDENTAL OR CONSEQUENTIAL DAMAGES IN CONNECTION WITH OR
// ARISING FROM THE FURNISHING, PERFORMANCE, OR USE OF THIS
// SOFTWARE.
// ------------------------------------------------------------
// So that all may benefit from your experience, please report
// any problems or suggestions about this software back to ST.
// Please include your name, company, telephone number, email,
// ST product requiring support and question or problem
// encountered.
// ------------------------------------------------------------
// ST Microelectronics
// Technoparc du pays de gex
// 165 rue Edouard Branly bp112
// 06637 St Genis Pouilly cedex
// France
// ------------------------------------------------------------
// To contact us : http://www.st.com/stpc
// ------------------------------------------------------------*/

/* ------------------------------------------------------------
// Copyright (C) 2000 STMicroelectronics
// ------------------------------------------------------------
// NVG/SICL/System Solution
// ------------------------------------------------------------
// FILE NAME	: tft.h
// LIBRARY		: STPC Graphics Development Kit
// MODULE		: libhard\tft
// PORTABILITY	: ANSI C
// ------------------------------------------------------------
// REVISION		: Rev 1.00
// DATE:		: March, 1st 2000
// AUTHOR:		: Thierry Vuillaume
// ------------------------------------------------------------
// DESCRIPTION	: Functions to manage tft interface
// ------------------------------------------------------------
// VARIABLES	: HWTFT_ScreenTable
// ------------------------------------------------------------
// MACROS		: HWTFT_FORMAT_...
// ------------------------------------------------------------
// FUNCTIONS	: HWTFT_InitializeInterface
// ------------------------------------------------------------*/

/* ------------------------------------------------------------
// REVISION		: Rev 1.00
// DATE			: March, 1st 2000
// AUTHOR		: Thierry Vuillaume
// ------------------------------------------------------------
// MODIFICATIONS: Initial source code	
// ------------------------------------------------------------*/

#ifndef TFT_H
#define TFT_H

/* ------------------------------------------------------------
// DEFINE		: HWTFT_FORMAT_... 
// ------------------------------------------------------------
// DESCRIPTION	: Different type of TFT screen
// ------------------------------------------------------------
// HWTFT_FORMAT_PHILIPSHLD1201	: Philips 800x600 screen HLD1201
// HWTFT_FORMAT_LGPHILIPSLM151X2: LG-Philips 1024x768 screen LM151X2
// ------------------------------------------------------------*/
#define HWTFT_FORMAT_PHILIPSHLD1201		0x0001
#define HWTFT_FORMAT_LGPHILIPSLM151X2	0x0002

/* ------------------------------------------------------------
// VARIABLE		: HWTFT_ScreenTable 
// ------------------------------------------------------------
// DESCRIPTION	: Table of the TFT screen and the interface
//				  registers settings
// ------------------------------------------------------------*/
extern unsigned long HWTFT_ScreenTable[];

/* ------------------------------------------------------------
// FUNCTION		: HWTFT_Init
// ------------------------------------------------------------
// DESCRIPTION	: Initialize the TFT interface 
// ------------------------------------------------------------
// IN PARAMETERS
// ------------------------------------------------------------
// ulTFTType	: Type of TFT screen to initialize
//				  (HWTFT_FORMAT_...)
// ------------------------------------------------------------
// OUT PARAMETERS 
// ------------------------------------------------------------
// ------------------------------------------------------------
// RETURN		: -
// ------------------------------------------------------------
// MODIFIED		: -
// ------------------------------------------------------------*/
void HWTFT_Init(unsigned long ulTFTType);

#endif

